Qwt User's Guide: QwtScaleDiv Class Reference

Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QwtScaleDiv Class Reference

`#include <qwt_scale_div.h>`

List of all members.

## Public Types
enum | TickType { NoTick = -1, MinorTick, MediumTick, MajorTick, NTickTypes }

## Public Member Functions
| QwtScaleDiv ()
| QwtScaleDiv (const QwtDoubleInterval &, QwtValueList[NTickTypes])
| QwtScaleDiv (double lowerBound, double upperBound, QwtValueList[NTickTypes])
bool | contains (double v) const
QwtDoubleInterval | interval () const
void | invalidate ()
void | invert ()
bool | isValid () const
double | lowerBound () const
int | operator!= (const QwtScaleDiv &s) const
int | operator== (const QwtScaleDiv &s) const
double | range () const
void | setInterval (double lowerBound, double upperBound)
void | setInterval (const QwtDoubleInterval &)
void | setTicks (int type, const QwtValueList &)
const QwtValueList & | ticks (int type) const
double | upperBound () const

## Detailed Description

A class representing a scale division.

A scale division consists of its limits and 3 list of tick values qualified as major, medium and minor ticks.

In most cases scale divisions are calculated by a QwtScaleEngine.

See also:
  subDivideInto(), subDivide()

## Constructor & Destructor Documentation

QwtScaleDiv::QwtScaleDiv | ( | const QwtDoubleInterval & | interval,
|  | QwtValueList | ticks[NTickTypes]
| ) |  |
| explicit

Construct QwtScaleDiv instance.

Parameters:

  interval | Interval
  ticks | List of major, medium and minor ticks

QwtScaleDiv::QwtScaleDiv | ( | double | lowerBound,
|  | double | upperBound,
|  | QwtValueList | ticks[NTickTypes]
| ) |  |
| explicit

Construct QwtScaleDiv instance.

Parameters:

  lowerBound | First interval limit
  upperBound | Second interval limit
  ticks | List of major, medium and minor ticks

## Member Function Documentation

bool QwtScaleDiv::contains | ( | double | value | ) | const

Return if a value is between lowerBound() and upperBound()

Parameters:

  value | Value

Returns:
  true/false

QwtDoubleInterval QwtScaleDiv::interval | ( |  | ) | const
| inline

Returns:
  lowerBound -> upperBound

double QwtScaleDiv::lowerBound | ( |  | ) | const
| inline

Returns:
  lower bound

See also:
  upperBound()

int QwtScaleDiv::operator!= | ( | const QwtScaleDiv & | s | ) | const

Inequality.

Returns:
  true if this instance is not equal to s

int QwtScaleDiv::operator== | ( | const QwtScaleDiv & | other | ) | const

Equality operator.

Returns:
  true if this instance is equal to other

double QwtScaleDiv::range | ( |  | ) | const
| inline

Returns:
  upperBound() - lowerBound()

void QwtScaleDiv::setInterval | ( | double | lowerBound,
|  | double | upperBound
| ) |  |
| inline

Change the interval

Parameters:

  lowerBound | lower bound
  upperBound | upper bound

void QwtScaleDiv::setInterval | ( | const QwtDoubleInterval & | interval | ) |

Change the interval

Parameters:

  interval | Interval

void QwtScaleDiv::setTicks | ( | int | type,
|  | const QwtValueList & | ticks
| ) |  |

Assign ticks

Parameters:

  type | MinorTick, MediumTick or MajorTick
  ticks | Values of the tick positions

const QwtValueList & QwtScaleDiv::ticks | ( | int | type | ) | const

Return a list of ticks

Parameters:

  type | MinorTick, MediumTick or MajorTick

double QwtScaleDiv::upperBound | ( |  | ) | const
| inline

Returns:
  upper bound

See also:
  lowerBound()